### Signal

# Clapper Player::missing-plugin

#### Declaration

    void
    missing_plugin (
      ClapperPlayer* self,
      gchar* name,
      gchar* installer_detail,
      gpointer user_data
    )

#### Description [src]

A `GStreamer` plugin or one of its features needed for playback is missing.

The `description` and `installer_detail` can be used to present the user more info about what is missing and prompt him to install it with an external installer.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal

#### Parameters

`name`

  Type: `gchar*`

  A localised string describing the missing feature, for use in error dialogs and the like.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`installer_detail`

  Type: `gchar*`

  A string containing all the details about the missing element to be passed to an external installer called via either `gst_install_plugins_async()` or `gst_install_plugins_sync()` function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.